LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XMapping2D Interface Reference

Interface defining an arbitrary bijective mapping from R^2 to R^2. More...

`import "XMapping2D.idl";`

Inheritance diagram for XMapping2D:

## Public Member Functions
RealPoint2D | map ([in] RealPoint2D aPoint)
| Forward 2D mapping function.
RealPoint2D | mapInverse ([in] RealPoint2D aPoint)
| Inverse 2D mapping function.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface defining an arbitrary bijective mapping from R^2 to R^2.

This interface provides methods to define an arbitrary bijective mapping from R^2 to R^2, i.e. from the two-dimensional space of real numbers onto itself, as is representable by the double floating point type. The mapping must be bijective, i.e. map a pair of real numbers to exactly one other pair of real numbers and vice versa, to facilitate a working inverse. Bijectiveness also implies completeness, i.e. for every pair of real numbers there must be another pair that is mapped upon them.

Since
  OOo 2.0

## Member Function Documentation

## ◆ map()

RealPoint2D map | ( | [in] RealPoint2D | aPoint | ) |

Forward 2D mapping function.

## ◆ mapInverse()

RealPoint2D mapInverse | ( | [in] RealPoint2D | aPoint | ) |

Inverse 2D mapping function.

The following invariant must hold: `map(mapInverse(p))=p`. This effectively rules out non-bijective mappings.

The documentation for this interface was generated from the following file:

- com/sun/star/geometry/XMapping2D.idl